Read participations breakdown by Marketing Event external identifier
curl --request GET \
--url https://api.hubapi.com/marketing/v3/marketing-events/participations/{externalAccountId}/{externalEventId}/breakdown \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.hubapi.com/marketing/v3/marketing-events/participations/{externalAccountId}/{externalEventId}/breakdown"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hubapi.com/marketing/v3/marketing-events/participations/{externalAccountId}/{externalEventId}/breakdown', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"results": [
{
"associations": {
"contact": {
"contactId": "<string>",
"email": "<string>",
"firstname": "<string>",
"lastname": "<string>"
},
"marketingEvent": {
"marketingEventId": "<string>",
"name": "<string>",
"externalAccountId": "<string>",
"externalEventId": "<string>"
}
},
"createdAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"properties": {
"attendanceState": "ATTENDED",
"occurredAt": 123,
"attendanceDurationSeconds": 123,
"attendancePercentage": "<string>"
}
}
],
"total": 123,
"paging": {
"next": {
"after": "<string>",
"link": "<string>"
},
"prev": {
"before": "<string>",
"link": "<string>"
}
}
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}Participant State
Retrieve participant breakdown by external ID
Read Marketing event’s participations breakdown with optional filters by externalAccountId and externalEventId pair.
GET
/
marketing
/
v3
/
marketing-events
/
participations
/
{externalAccountId}
/
{externalEventId}
/
breakdown
Read participations breakdown by Marketing Event external identifier
Supported products
Supported products
Required Scopes
Required Scopes
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
The accountId that is associated with this marketing event in the external event application.
The id of the marketing event in the external event application.
Query Parameters
The cursor indicating the position of the last retrieved item.
The identifier of the Contact. It may be email or internal id.
The limit for response size. The default value is 10, the max number is 100
The participation state value. It may be REGISTERED, CANCELLED, ATTENDED, NO_SHOW
Last modified on March 30, 2026
Was this page helpful?